Subject: Re: [PATCH v14 1/1] tty: serial: Add Nuvoton ma35d1 serial driver support

From: Greg KH <[email-masked]>
Date: Tue, 13 Jun 2023 16:48:53 +0200

On Tue, Jun 13, 2023 at 07:03:11PM +0800, Jacky Huang wrote:
> Dear Greg,
> 
> 
> On 2023/6/13 下午 06:29, Greg KH wrote:
> > On Mon, Jun 12, 2023 at 02:53:55AM +0000, Jacky Huang wrote:
> > > From: Jacky Huang <[email-masked]>
> > > 
> > > This adds UART and console driver for Nuvoton ma35d1 Soc.
> > > It supports full-duplex communication, FIFO control, and
> > > hardware flow control.
> > You don't specify here what your tty device name is going to be, why?
> > 
> > It's not written anywhere, is that intentional?
> > 
> > Same for your tty major/minor, what numbers are you using that might
> > also be in use by a different device in the system?
> > 
> > thanks,
> > 
> > greg k-h
> 
> I will add description about the tty name to the log.
> In practical testing, we specified in the u-boot parameters
> to use ttyNVT0 for the console, and it worked fine.

Where did you pick that name from?  Why can't you use the "default" uart
name instead?

I thought we had a list of tty names around somewhere, but I can't find
it right now...

thanks,

greg k-h

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel